.wrapper{
    width: 80%;
    margin: 0 auto;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    background: whitesmoke;
    height: 50vh;
}
.tab{
    float: left;
    height: 100%;
    width: 35%;
    border-right: 1px solid black;
}
button{
    width: 100%;
    height: 50px;
    border: none;
    outline: none;
    display: block;
}
button:hover{
    background: #ccc;
}

.tabcontent{
    display: none;
    animation: opac 1s ease;
}

@keyframes opac{
    0%{
        color: blue;
        opacity: 0.5;
    }
    25%{
        color: red;
    }
    50%{
        color: green;
    }
    75%{
        color: yellow;
    }
    100%{
        color: black;
    }
}